﻿<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <script src="/js/jquery.min.js"></script>
</head>
<body>
    <center>
        <div id="divPrint" style="width:720px !important;margin-top:15px">
        </div>
    </center>
    <script type="text/javascript">
        $(document).ready(function () {
            if (localStorage.getItem('BarcodeDetails') != null) {
                PrintBarcode();
            }
        });
        function PrintBarcode() {
            var itemList = JSON.parse(localStorage.getItem('BarcodeDetails'));
            var html2 = '';
            $.each(itemList, function (index, item) {
                var Qty = Number(item.Qty);
                var html = '';
                html += '<div style="width: 144px;float: left;margin-bottom:9px"><img src="https://www.cognex.com/api/Sitecore/Barcode/Get?data='+item.Barcode+'&amp;code=BCL_CODE128&amp;width=144&amp;imageType=JPG&amp;foreColor=%23000000&amp;backColor=%23FFFFFF&amp;rotation=RotateNoneFlipNone" alt="Barcode generated by Cognex Corporation" style="height:65px !important;width:144px;"><span style="font-size:14px">'+item.ProductId+'</span></div>';
                for (var i = 1; i <= Qty; i++) {
                    html2 += html
                }
            });
            $("#divPrint").append(html2)
            window.print();
        }
    </script>
    <script src="/Admin/BarCode/Barcodeforproduct.js"></script>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
</body>
</html>
